@echo off
echo.
echo. BAT Installer
echo. for CITIZEN Printer Virtual HID Driver
echo.
pause.

rem Set Settings.xml path
set SETTINGSXML=.\BATSettings.xml

rem Go to script path.
cd /d %~dp0

start /wait setup.exe /q

rem If the installation fails, exit.
if %errorlevel% neq 0 (
	exit /b %errorlevel%
)

rem If the argument is not specified, exit.
if not exist %1 (
	exit /b 0
)

rem Copy the settings file.
copy /y %SETTINGSXML% "C:\CITIZEN\CPVHID Driver\CPVHID Driver Settings.xml"

exit /b 0
